database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
PostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
CUBRID
ㆍLDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
LDAP Q&A 2187 게시물 읽기
No. 2187
고수님들 제발...................설치시 에러 openldap
작성자
이상준
작성일
2005-07-27 11:43
조회수
9,077

---------------------------------------------------------

@(#) $OpenLDAP: slapd 2.3.4 (Jul 27 2005 11:29:27) $
joonir@joonir:/home/joonir/openldap-2.3.4/servers/slapd
daemon_init: listen on ldap:///
daemon_init: 1 listeners to open...
ldap_url_parse_ext(ldap:///)
daemon: IPv6 socket() failed errno=97 (Address family not supported by protocol)
daemon: initialized ldap:///
daemon_init: 2 listeners opened
slapd init: initiated server.
slap_sasl_init: SASL library version mismatch: expected 2.1.18, got 2.1.7
slapd destroy: freeing system resources.
slapd stopped.
connections_destroy: nothing to destroy.

 

---------------------------------------------------------

 

위와같이 계속 됩니다. 디버깅해본것입니다. ./slapd -d 113

이상한것은 sasl 2.1.18을 깔았거든요 왜냐면 openldap에서 그것을 요구하거든요

Base system (libraries and tools):
Standard C compiler (required)
Cyrus SASL 2.1.18+ (recommended)
OpenSSL 0.9.7+ (recommended)
POSIX REGEX software (required)

 

제가 설치한버전과 방법입니다.

-----------------------------------------------------------------

openssl-0.9.7d.tar.gz
cyrus-sasl-2.1.18.tar.gz
db-4.2.52.NC.tar.gz
penldap-2.3.4.tar.gz


cd cyrus-sasl-2.1.18
./configure \
--enable-anon \
--enable-plain \
--enable-login \
--disable-krb4 \
--disable-otp \
--disable-cram \
--disable-digest \
--with-saslauthd=/var/run/saslauthd \
--with-pam=/lib/security \
--with-dblib=berkeley \
--with-bdb-libdir=/usr/local/BerkeleyDB.4.2/lib \
--with-bdb-incdir=/usr/local/BerkeleyDB.4.2/include \
--with-openssl=/usr/local/ssl \
--with-plugindir=/usr/local/lib/sasl2

make
make install

mkdir -p /var/run/saslauthd

cd saslauthd
make testsaslauthd
cp testsaslauthd /usr/local/bin

echo /usr/local/lib/sasl2 >> /etc/ld.so.conf
ln -s /usr/local/lib/sasl2 /usr/lib/sasl2

../dist/configure CC=gcc --prefix=/usr/local/BerkeleyDB.4.2
make
make install


env CC=gcc CPPFLAGS="-I/usr/local/BerkeleyDB.4.2/include" LDFLAGS="-L/usr/local/BerkeleyDB.4.2/lib" ./configure --enable-bdb --prefix=/usr/local/openldap
make depend
make
make test
make install

------------------------------------------------------------------------

 

Using ldapsearch to retrieve the root DSE...
Waiting 5 seconds for slapd to start...
Waiting 5 seconds for slapd to start...
Waiting 5 seconds for slapd to start...
Waiting 5 seconds for slapd to start...
Waiting 5 seconds for slapd to start...

 

가 나는 현상이구요 test시...

 

checking for Berkeley DB link (default)... no

checking for Berkeley DB link (-ldb42)... no

checking for Berkeley DB link (-ldb-42)... no

checking for Berkeley DB link (-ldb-4.2)... no

checking for Berkeley DB link (-ldb-4-2)... no

checking for Berkeley DB link (-ldb-4)... no

checking for Berkeley DB link (-ldb4)... no

checking for Berkeley DB link (-ldb)... yes

checking for Berkeley DB thread support... yes

checking Berkeley DB version for BDB backend... no

configure: error: BDB: BerkeleyDB version incompatible 

는 /usr/lib /usr/include로 복사해서 해결은 했구요

헌데..no는 계속 납니다. 버전은 yes로 되구요

 

결론은 링크에러 같은데요 아니면 ldconfig로 해결할 수 있는건가요? 아니면

다른 방법좀 알려주십시요

지금 리눅스 3번 밀고 다시 까는중입니다.

 

꼭 부탁드리겠습니다.

joonir@hanmail.net

 

 

이 글에 대한 댓글이 총 2건 있습니다.

checking for Berkeley DB link (default)... no

checking for Berkeley DB link (-ldb42)... no

checking for Berkeley DB link (-ldb-42)... no

checking for Berkeley DB link (-ldb-4.2)... no

checking for Berkeley DB link (-ldb-4-2)... no

checking for Berkeley DB link (-ldb-4)... no

checking for Berkeley DB link (-ldb4)... no

checking for Berkeley DB link (-ldb)... yes

checking for Berkeley DB thread support... yes

checking Berkeley DB version for BDB backend... no

configure: error: BDB: BerkeleyDB version incompatible

위와 같이 에러가 발생하시면은

아래와 같이 해보세요

저도 이것 때문에 고민을 많이 했었는데

송상준님께서 가르쳐주셔서 잘 됐습니다.

-----------------------------------------------------

 [root@infra BerkeleyDB.4.2]# pwd

/usr/local/BerkeleyDB.4.2

root@infra BerkeleyDB.4.2]# ls

bin  docs  include  lib

[root@infra BerkeleyDB.4.2]# cd lib

[root@infra lib]# ls

libdb-4.2.a  libdb-4.2.la  libdb-4.2.so  libdb-4.so  libdb.a  libdb.so

[root@infra lib]# cp -rf * /usr/lib/

[root@infra BerkeleyDB.4.2]# ls

bin  docs  include  lib

[root@infra BerkeleyDB.4.2]# cd include

[root@infra include]# cp -rf * /usr/include/

윤성중님이 2005-07-27 14:38에 작성한 댓글입니다. Edit

저도 송상준님의 글은 보았습니다.

 

현재 상태는

checking for Berkeley DB link (default)... no
checking for Berkeley DB link (-ldb43)... no
checking for Berkeley DB link (-ldb-43)... no
checking for Berkeley DB link (-ldb-4.3)... no
checking for Berkeley DB link (-ldb-4-3)... no
checking for Berkeley DB link (-ldb42)... no
checking for Berkeley DB link (-ldb-42)... no
checking for Berkeley DB link (-ldb-4.2)... yes
checking for Berkeley DB version match... Berkeley DB version mismatch
        header: Sleepycat Software: Berkeley DB 4.0.14: (November 18, 2001)
        library: Sleepycat Software: Berkeley DB 4.2.52: (December  3, 2003)

 

입니다.

 

리눅스 처음설치하고 어떤것들부터 어떤식으로 설치해야하는지

옵션은 어떻게 처리해야하는지 정리해놓으신거 있으시면 부탁드리겠습니다.

이상준님이 2005-07-27 15:21에 작성한 댓글입니다. Edit
[Top]
No.
제목
작성자
작성일
조회
2191BMC 통합 사용자 계정관리 솔루션 세미나"에 귀하를 초대합니다.
이동림
2005-08-01
7379
2190AD속성중 memberOf에 대해서... [1]
사오정
2005-08-01
7399
2188slapd실행시 에러 [1]
이상준
2005-07-27
6915
2187고수님들 제발...................설치시 에러 openldap [2]
이상준
2005-07-27
9077
2185AD의 pwd attribute type에 관한 질문 [1]
유동훈
2005-07-20
7728
2183AD 접속에 관해서... [1]
최성민
2005-07-14
8699
2180BerkeleyDB설치 후, 생긴 디렉토리가 ..docs 하고include밖에 [1]
왕왕초보
2005-07-05
6582
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2021 DSN, All rights reserved.
작업시간: 0.136초, 이곳 서비스는
	PostgreSQL v13.3으로 자료를 관리합니다